Bug 879931 - Review Request: angelscript - AngelCode Scripting Library
Review Request: angelscript - AngelCode Scripting Library
Status: CLOSED DUPLICATE of bug 1215414
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: rigsofrods 1215414
  Show dependency treegraph
 
Reported: 2012-11-25 10:35 EST by Pavel Alexeev
Modified: 2015-05-19 03:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-18 16:48:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
angelscript addons vs ror addons (4.80 KB, patch)
2012-11-25 16:24 EST, Dan Horák
no flags Details | Diff

  None (edit)
Description Pavel Alexeev 2012-11-25 10:35:07 EST
Spec URL: http://hubbitus.info/rpm/Fedora17/angelscript/angelscript.spec
SRPM URL: http://hubbitus.info/rpm/Fedora17/angelscript/angelscript-2.22.1-1.fc17.src.rpm
Description:
The AngelScript library is a software library for easy integration of
external scripting to applications, with built-in compiler and virtual
machine. The scripting language is easily extendable to incorporate
application specific datatypes and functions. It is designed with C++
in mind, as such it shares many features with C++, for example syntax
and data types.
Fedora Account System Username: hubbitus
Comment 1 Dan Horák 2012-11-25 10:44:28 EST
Hm, the spec looks like mine from http://fedora.danny.cz/danny/development/SRPMS/repoview/angelscript.html :-)

If the app you are packaging needs an older version of angelscript I'd prefer to create 2 packages: angelscript that will follow the latest versions and angelscript2221 as a compat package with the required version. Otherwise the general requirement for packaging the latest version can't be fullfiled.
Comment 2 Dan Horák 2012-11-25 10:47:19 EST
Sadly angelscript is another example where API/ABI stability in a library is not maintained in any way :-(
Comment 3 Dan Horák 2012-11-25 16:24:41 EST
Created attachment 651663 [details]
angelscript addons vs ror addons

I think an attempt should be made to port RigsOfRods to the latest angelscript. I've checked the changes they made to the add-ons coming from angelscript and the diffs are minimal, so they should be portable to angelscript 2.25
Comment 4 Pavel Alexeev 2012-11-26 15:41:33 EST
(In reply to comment #1)
> Hm, the spec looks like mine from
> http://fedora.danny.cz/danny/development/SRPMS/repoview/angelscript.html :-)
Absolutely! You may find it copyright in sole changelog entry of my spec file. So if you have Fedora account in packager group and wish (co)maintain this packet - welcome.

I had packaged it as dependency to rigsofrods package. And with hope fix come in upstream bug to interoperability with new version.
Also thank you for the patch. I'll look it. May be you are willing submit it upstream? Are you author them?
Comment 5 Michael Schwendt 2012-12-09 08:55:41 EST
> Summary:        AngelCode Scripting Library

> URL:            http://www.angelcode.com/angelscript/

> %description
> The AngelScript library is a software library ...

*Very* confusing.

First of all, more often than not the summary ought not repeat the name of the software. Especially not if that name is the package name or closely related. It ought to be a concise description of what is included in the package or what the package "does". For example:

  Summary: Library for easy integration of external scripting to applications

Even

  Summary: Scripting library

would be short and to the point, as it starts with what is package contains and not with who developed the library or what its name might be. The %description gives enough room to expand on that.

Secondly, the %description says "AngelScript library" whereas the %summary says "AngelCode Scripting library". This is an inconsistency. The description here should not be shorter than the summary. If you consider it important, write
"The AngelCode Scripting library (AngelScript)" or, even better, try to explain why the name "AngelCode" is relevant, if the library is called "AngelScript" already.
Comment 6 Pavel Alexeev 2013-02-09 05:02:49 EST
It's included in spec:
%ghost %dir %{_localstatedir}/run/slim
And also it should be created according to changelog:
- fix #708693 - added tmfiles.d config to create /var/run/slim directory

Could you please explain deeply how reproduce that problem? What exactly are you doing?
Comment 7 Pavel Alexeev 2013-02-09 05:04:34 EST
Sorry. Please ignore last comment - it is intended for another bug.
Comment 9 Hans de Goede 2015-05-18 04:49:21 EDT
Since this bug report has not seen any activity in more then 2 years now, and there is a new active attempt at packaging angelscript, I'm going to close this one as a dup of the new review-request.

*** This bug has been marked as a duplicate of bug 1215414 ***
Comment 10 Pavel Alexeev 2015-05-18 16:41:08 EDT
Hans why you close my review request?? I ready for review. Do you willing do it?
Comment 11 Igor Gnatenko 2015-05-18 16:48:26 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #10)
> Hans why you close my review request?? I ready for review. Do you willing do
> it?

We already did it %)

*** This bug has been marked as a duplicate of bug 1215414 ***
Comment 12 Hans de Goede 2015-05-19 03:54:57 EDT
Hi Pavel,

(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #10)
> Hans why you close my review request?? I ready for review. Do you willing do
> it?

Sorry, as stated since this review had not seen any activity for 2 years (like e.g. updating the submitted srpm to keep track with upstream) and a new attempt at packaging was being done in bug 1215414, so I thought it would be better to continue there.

Anyways the review of the package as submitted in bug 1215414 is done now, and that package has been imported into Fedora, so now we have angelscript in Fedora which IMHO is the important thing.

If you want to co-maintain angelscript you need to ask Igor, I personally  think that that would be a good idea.

I notice at your github that you still have lots of packages there, if you're interested in getting those into the official Fedora repos, and you've review-requests open, then I suggest that ask on the fedora-devel list for review swaps. Your packages are not going to get reviewed by just letting the review requests sit in bugzilla, in order for the review system to work you must review aprox. as much packages as you submit / want to have reviewed. And the easiest way to guarantee that is asking for review swaps on the devel list.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.